import java.util.*;
/**
 * InspectableContainer: a read-only container for a bunch of objects.
 * 
 * @author Goodrich & Tamassia
 */

public interface InspectableContainer
{
/** The number of objects in the container.
	@return the number of objects as an int.
*/
	public int size ();

/** Are there any objects at all?
	@return true iff there are no objects.
*/
	public boolean isEmpty ();

/** get an iterator of all the objects in the container.
	@return an Iterator which visits all the Objects in unspecified order.
*/
	public Iterator elements ();
}
