
/**
 * A read-only container for a bunch of objects, providing access to positions
 * within the container as well as to the objects themselves.
 * 
 * @author Goodrich & Tamassia
 */

public interface InspectablePositionalContainer extends InspectableContainer
{
/** get an iterator over all the positions.
	@return a PositionIterator which visits all the positions in unspecified order.
*/
	public PositionIterator positions ();
}
