
/**
 * A PositionalContainer that allows elements to be swapped and replaced.
 * 
 * @author Goodrich & Tamassia
 */

public interface PositionalContainer extends InspectablePositionalContainer
{
/** Swap the data at two positions.
	@param v,w the two positions in the container whose data should be swapped.
*/
	public void swapElements (Position v, Position w);

/** Replace the data at a specified position.
	@param v   the position whose data should be replaced
	@param e   the new contents of that position.
	@return the old contents of that position
*/
	public Object replaceElement (Position v, Object e);
}
